<?php

namespace Drupal\entity_wishlist\Controller;

/**
 * @file
 * Contains \Drupal\entity_wishlist\Controller\EntityWishlistReadLaterController.
 */


use Drupal\Core\Controller\ControllerBase;
use Drupal\node\NodeInterface;
use Symfony\Component\HttpFoundation\RedirectResponse;
use Drupal\user\Entity\User;

/**
 * A EntityWishlistReadLater controller.
 */
class EntityWishlistReadLaterController extends ControllerBase {

  /**
   * {@inheritdoc}
   */
  public function content(NodeInterface $node) {
    $user = User::load(\Drupal::currentUser()->id());
    $uid = $user->get('uid')->value;
    $nid = $node->id();
    $db = \Drupal::database();
    $query = $db->select('entity_wishlist', 'ew');
    $query->fields('ew', ["wid"]);
    $query->condition('entity_id', $nid, "=");
    $query->condition('uid', $uid, "=");
    $check_entry = $query->execute()->FetchField();
    if ($check_entry) {
      $query = \Drupal::database()->delete('entity_wishlist');
      $query->condition('entity_id', $nid, "=");
      $query->condition('uid', $uid, "=");
      $query->execute();
      drupal_set_message(t("Item removed from your content wishlist."));
    }
    else {
      db_insert('entity_wishlist')
        ->fields(
          [
            'entity_id' => $nid,
            'uid' => $uid,
            'entity_type' => 'node',
          ]
      )->execute();
      drupal_set_message("Item added to your content wishlist.");
    }
    drupal_flush_all_caches();
    return new RedirectResponse(\Drupal::url('user.page'));
  }

}
